<?php

namespace App\Models;

use App\Models\Area;
use Spatie\Permission\Models\Role as SpatieRole;
use Illuminate\Database\Eloquent\Relations\BelongsToMany;


class Role extends SpatieRole
{
    protected $guarded = [];

    public function areas(): BelongsToMany
    {
        return $this->belongsToMany(Area::class);
    }
}
